class AllowedDependency
    attr_accessor :name
    attr_accessor :version
    attr_accessor :expire
    attr_accessor :source
    attr_accessor :target

    def initialize(name, version, expire, source, target)
      @name = name
      @version = version
      @expire = expire
      @source = source
      @target = target
    end
  
    def expire?
      if @expire != nil
        expire = DateTime.parse(@expire,"%Y-%m-%d")
        return expire < DateTime.now
      end
      return false
    end
end